# CERN Tape Archive Documentation

## Main Documentation

* [The CERN Tape Archive](cta.pdf)
* [CTA Administrators Guide](CTA_Admin.pdf)
* [CASTOR Tape Server Handbook](TapeServer.pdf)

## Design Documents

* [EOS-CTA interface](EOS-CTA_interface.pdf) (preliminary document, Jan. 2017)
* [Queuing an archive/retrieve request in CTA](queueRequestSeqDiags.pdf)
* [The Tape Storage Element—Integrating CTA into the data archiving chain of CERN](The_Tape_Storage_Element.pdf)
* [EOSTAPE Archival Scenario](EOSTAPE_archival.pdf)
* [EOSTAPE Retrieval Scenario](EOSTAPE_retrieval.pdf)

## Installation Instructions

* [Set up a test environment using Kubernetes on a ctadev virtual machine](../continuousintegration/orchestration/README.md)
* [Set up a development environment using Kubernetes on your own virtual machine](../continuousintegration/buildtree_runner/README.md)

## Conference Papers

* [An efficient, modular and simple tape archiving solution for LHC Run-3](CHEP2016/CHEP_2016_paper_CTA.pdf) (CHEP2016)

## Presentations

* [CTA Motivations and Context/Programme of Work](cta_program_of_work.pdf) (2015)
* [CTA Rationale and Status](storage_development_workshop/CTA_-_CERN_CASTOR_Tape_Archive_Rationale_and_Status.pdf) (Jan. 2016)
* [What, Why and When: CTA and the Tier 1s](GDB_meeting_Feb_8_2017/GDB_meeting_08_Feb_2017_CTA.pdf) (Feb. 2017)

